package meerkat.bulletinboard;

import meerkat.bulletinboard.AsyncBulletinBoardClient.BatchIdentifier;

import java.util.Arrays;

/**
 * Created by Arbel Deutsch Peled on 17-Jun-16.
 */
public final class MultiServerBatchIdentifier implements AsyncBulletinBoardClient.BatchIdentifier {

    // Per-server identifiers
    private final Iterable<BatchIdentifier> identifiers;

    public MultiServerBatchIdentifier(Iterable<BatchIdentifier> identifiers) {
        this.identifiers = identifiers;
    }

    public MultiServerBatchIdentifier(BatchIdentifier[] identifiers) {
        this.identifiers = Arrays.asList(identifiers);
    }

    public Iterable<BatchIdentifier> getIdentifiers() {
        return identifiers;
    }

}
